# DELETE /v4/campaigns/{id}/access/revoke

_Merkl API_

Revoke access to a private campaign for a specific address.

## Request body

**`application/json`**
```json
{
  "type": "object",
  "properties": {
    "userAddress": {
      "pattern": "^0x[a-fA-F0-9]{40}$",
      "description": "Ethereum address to grant/revoke access",
      "type": "string"
    },
    "canManageAccess": {
      "description": "Whether the user can manage (grant/revoke) access for others",
      "default": false,
      "type": "boolean"
    }
  },
  "required": [
    "userAddress"
  ]
}
```
**`application/x-www-form-urlencoded`**
```json
{
  "type": "object",
  "properties": {
    "userAddress": {
      "pattern": "^0x[a-fA-F0-9]{40}$",
      "description": "Ethereum address to grant/revoke access",
      "type": "string"
    },
    "canManageAccess": {
      "description": "Whether the user can manage (grant/revoke) access for others",
      "default": false,
      "type": "boolean"
    }
  },
  "required": [
    "userAddress"
  ]
}
```
**`multipart/form-data`**
```json
{
  "type": "object",
  "properties": {
    "userAddress": {
      "pattern": "^0x[a-fA-F0-9]{40}$",
      "description": "Ethereum address to grant/revoke access",
      "type": "string"
    },
    "canManageAccess": {
      "description": "Whether the user can manage (grant/revoke) access for others",
      "default": false,
      "type": "boolean"
    }
  },
  "required": [
    "userAddress"
  ]
}
```

## Responses

- **200** Response for status 200

## Example request

```bash
curl -X DELETE "https://api.merkl.xyz//v4/campaigns/{id}/access/revoke" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```